function N = fillValFF3q1(xi, eta, zeta)
% N = fillValFF3q1(xi, eta, zeta)
% N: funcion de forma del elemento finito hexaedrico trilineal
% en el punto de coordenadas naturales (xi, eta, zeta)

% Coordenadas naturales de los nodos
P = [-1 -1 -1
    1 -1 -1
    1 1 -1
    -1 1 -1
    -1 -1 1
    1 -1 1
    1 1 1
    -1 1 1];

xinodo = P(:,1);
etanodo = P(:,2);
zetanodo = P(:,3);

N = (1+xinodo*xi).*(1+etanodo*eta).*(1+zetanodo*zeta)/8;