function T = tension_SaintVenant_Kirchhoff(E,Y,nu)
% Slido hiperelstico de Saint Venant-Kirchhoff
% T = tension_Neo_Hooke(E)
% T = [T11 T22 T33 T12 T23 T31]'
% E = [E11 E22 E33 2*E12 2*E23 2*E31]'
% Tij = Tji: Segundo tensor de tension de Piola-Kirchhoff
% Eij = Eji: Tensor de deformacin de Green-Lagrange


mu = Y/2/(1+nu);
lambda = 2*mu*nu/(1-2*nu);

Etensor(1,1) = E(1);
Etensor(1,2) = E(4)/2;
Etensor(1,3) = E(6)/2;
Etensor(2,1) = Etensor(1,2);
Etensor(2,2) = E(2);
Etensor(2,3) = E(5)/2;
Etensor(3,1) = Etensor(1,3);
Etensor(3,2) = Etensor(2,3);
Etensor(3,3) = E(3);
trE = E(1)+E(2)+E(3);
Ttensor = (lambda*trE)*eye(3)+(2*mu)*Etensor;
T = [Ttensor(1,1) Ttensor(2,2) Ttensor(3,3) Ttensor(1,2) Ttensor(2,3) Ttensor(3,1)]';

